%global _internal_version  95ebd69

Name:           mate-file-archiver
Version:        1.6.1
Release:        0.1.git%{_internal_version}%{?dist}
Summary:        MATE Desktop file archiver
License:        GPLv2+ and LGPLv2+
URL:            http://mate-desktop.org

# To generate tarball
# wget http://git.mate-desktop.org/%%{name}/snapshot/%%{name}-{_internal_version}.tar.xz -O %%{name}-%%{version}.git%%{_internal_version}.tar.xz
Source0: http://raveit65.fedorapeople.org/Mate/git-upstream/%{name}-%{version}.git%{_internal_version}.tar.xz

#Source0:        http://pub.mate-desktop.org/releases/1.6/%{name}-%{version}.tar.xz

# upstream patches
# support for rar-0.5
# https://github.com/mate-desktop/mate-file-archiver/pull/24
Patch0:         mate-file-archiver_add-rar-5.0-support.patch
# https://github.com/mate-desktop/mate-file-archiver/commit/0f9758b
Patch1:         mate-file-archiver_add-unachiver-support.patch

BuildRequires:  mate-common
BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel
BuildRequires:  mate-common
BuildRequires:  mate-doc-utils
BuildRequires:  mate-file-manager-devel
BuildRequires:  mate-desktop-devel
BuildRequires:  libSM-devel
BuildRequires:  rarian-compat
BuildRequires:  rarian-devel

Provides: engrampa

# bugzilla.redhat.com/908137
# dropped mate-file-manager-archiver subpkg sometime after 1.5.1-1 release
Obsoletes: mate-file-manager-archiver < 1.5.1-5

%description
Mate File Archiver is an application for creating and viewing archives files,
such as tar or zip files.


%prep
#%setup -q
%setup -q -n %{name}-%{_internal_version}

%patch0 -p1 -b .rar-5.0
%patch1 -p1 -b .unarchiver

# nedded to create missing configure and make files
NOCONFIGURE=1 ./autogen.sh


%build
%configure                 \
   --disable-scrollkeeper  \
   --disable-static        \
   --with-gtk=2.0          \
   --enable-caja-actions

make %{?_smp_mflags} V=1


%install
make install DESTDIR=%{buildroot}

desktop-file-install                                \
    --delete-original                               \
    --dir %{buildroot}%{_datadir}/applications      \
%{buildroot}%{_datadir}/applications/engrampa.desktop

find %{buildroot} -name "*.la" -exec rm -f {} ';'

# remove needless gsettings convert file to avoid slow session start
rm -f  %{buildroot}%{_datadir}/MateConf/gsettings/engrampa.convert

%find_lang engrampa

%post
/bin/touch --no-create %{_datadir}/icons/mate &> /dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    /usr/bin/update-desktop-database &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f engrampa.lang
%doc README COPYING NEWS AUTHORS
%{_bindir}/engrampa
%{_libexecdir}/engrampa
%{_datadir}/engrampa
%{_datadir}/mate/help/engrampa
%{_datadir}/applications/engrampa.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/glib-2.0/schemas/org.mate.engrampa.gschema.xml
%{_libdir}/caja/extensions-2.0/libcaja-engrampa.so
%{_datadir}/omf/engrampa


%changelog
* Sun Oct 13 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.1-0.1.git95ebd69
- update to latest snapshot
- remove mate-file-archiver_missing_gsettings_schema.patch, already in snapshot
- add support for rar-0.5
- add support for unarchiver

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 30 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-2
- https://github.com/mate-desktop/mate-file-archiver/issues/19,
- fix add folder to existing archive
- remove BR gsettings-desktop-schemas
- remove BR glib2-devel
- remove needless gsettings convert file

* Wed Apr 03 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.0-1
- Update to latest 1.6.0 stable release.

* Thu Feb 21 2013 Rex Dieter <rdieter@fedoraproject.org> 1.5.1-6
- Obsoletes: mate-file-manager-archiver (#908137)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 23 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-4
- Bump release

* Tue Jan 22 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-3
- Update BRs
- Convert back to old BR style
- Get rid of separate package for shared library
- Add provides field
- Rebuild against latest version of mate-desktop
- Update icon scriptlets
- Add obsoletes tag

* Thu Nov 22 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-2
- Rebuild for f17

* Mon Nov 19 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-1
- Update to latest release
- Remove patches that were applied upstream

* Thu Nov 15 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-3
- Fix another schema error

* Thu Nov 15 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-2
- add patch to fix (rhbz 876354)

* Thu Oct 25 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-1
- Initial build

